# PLL Parameters

#USER W A R N I N G !
#USER The PLL parameters are statically defined in this
#USER file at generation time!
#USER To ensure timing constraints and timing reports are correct, when you make 
#USER any changes to the PLL component using the Qsys,
#USER apply those changes to the PLL parameters in this file

set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_corename DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi

set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data [dict create]
set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data [dict create]
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data refclk pattern __inst_name__|tennm_pll|refclk
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data refclk node_type pin
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data refclk pin_id ""
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data refclk pin_node_name ""
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data refclk port_id ""
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data refclk port_node_name ""
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data refclk is_fpga_pin false
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data refclk is_main_refclk true
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data refclk exists false
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data refclk name "__inst_name___refclk"
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data refclk period 10.000
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_base_clock_data refclk half_period 5.000
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data n_cnt_clock pattern __inst_name__|tennm_pll~ncntr_reg
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data n_cnt_clock node_type register
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data n_cnt_clock pin_id ""
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data n_cnt_clock pin_node_name ""
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data n_cnt_clock is_valid false
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data n_cnt_clock exists false
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data n_cnt_clock name "__inst_name___n_cnt_clk"
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data n_cnt_clock src refclk
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data n_cnt_clock multiply_by 1
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data n_cnt_clock divide_by 1
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data n_cnt_clock phase 0.000
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data n_cnt_clock duty_cycle 50
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data m_cnt_clock pattern __inst_name__|tennm_pll~mcntr_reg
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data m_cnt_clock node_type register
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data m_cnt_clock pin_id ""
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data m_cnt_clock pin_node_name ""
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data m_cnt_clock is_valid false
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data m_cnt_clock exists false
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data m_cnt_clock name "__inst_name___m_cnt_clk"
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data m_cnt_clock src refclk
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data m_cnt_clock multiply_by 1
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data m_cnt_clock divide_by 14
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data m_cnt_clock phase 0.000
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data m_cnt_clock duty_cycle 50
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 pattern __inst_name__|tennm_pll|outclk\[1\]
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 node_type pin
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 pin_id ""
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 pin_node_name ""
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 is_valid false
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 exists false
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 name __inst_name___clk_system
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 src refclk
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 multiply_by 14
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 divide_by 14
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 phase 0.000
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 duty_cycle 50
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk1 counter_index 1
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 pattern __inst_name__|tennm_pll|outclk\[2\]
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 node_type pin
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 pin_id ""
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 pin_node_name ""
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 is_valid false
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 exists false
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 name __inst_name___clk_peripherals
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 src refclk
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 multiply_by 14
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 divide_by 140
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 phase 0.000
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 duty_cycle 50
dict set ::GLOBAL_top_DE10AG_QSYS_iopll_0_altera_iopll_1930_utwrmwi_gen_clock_data outclk2 counter_index 2
