@echo off
REM ########################################################################
REM # Download sof file
REM ########################################################################
@ set QUARTUS_BIN=%QUARTUS_ROOTDIR%\bin
@ if not exist "%QUARTUS_BIN%" set QUARTUS_BIN=%QUARTUS_ROOTDIR%\bin64

if not exist "%QUARTUS_BIN%\\qpro.exe" (
	echo Your default Quartus specified by system variable QUARTUS_ROOT must be Quartus Pro. Edition for programming Agilex FPGA device.
	goto :Exit
)


:menu
echo **********************************
echo Plesase select a QSFPDD Port for testing
echo "1" for QSFPDD-A CH_0123
echo "2" for QSFPDD-A CH_4567
echo "3" for QSFPDD-B CH_0123
echo "4" for QSFPDD-B CH_4567
echo Note, make sure loopback fixtures are installed.
 echo **********************************
 choice /C 1234 /M "Please enter your choise:" 
if errorlevel 4 goto qsfp_b4567  
if errorlevel 3 goto qsfp_b0123
if errorlevel 2 goto qsfp_a4567
if errorlevel 1 goto qsfp_a0123 
goto menu:

:qsfp_a0123
set test.sof=.\qsfpdd_a0123\alt_ehipc3_fm_hw.sof
goto test

:qsfp_a4567
set test.sof=.\qsfpdd_a4567\alt_ehipc3_fm_hw.sof
goto test


:qsfp_b0123
set test.sof=qsfpdd_b0123\alt_ehipc3_fm_hw.sof
goto test

:qsfp_b4567
set test.sof=qsfpdd_b4567\alt_ehipc3_fm_hw.sof
goto test

:test
%QUARTUS_BIN%\\quartus_pgm.exe -m jtag -c 1 -o "p;%test.sof%@1" 

goto Exit
%QUARTUS_ROOTDIR%\sopc_builder\bin\system-console.exe --desktop_script=alt_cpriphy_c3.tcl

:Exit

pause
