# (C) 2001-2020 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.

create_clock -period 10 [get_ports CLK_100_B2A]
create_clock -period 6.4 [get_ports QSFPDDA_REFCLK_p]
create_clock -period 6.4 [get_ports QSFPDDB_REFCLK_p]

#create_clock -name {ref_clk} -period 6.400 -waveform { 0.000 3.200 } [get_ports {i_clk_ref}]
#create_clock -name {100mhz_clk} -period 10.0 -waveform { 0.000 5.000 } [get_ports {clk100}]

create_clock -name {altera_reserved_tck} -period 40 [get_ports {altera_reserved_tck}]

set REF_CLK	    [get_clocks ref_clk]
set CLK100      [get_clocks 100mhz_clk]
# set CORECLK         [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|altera_xcvr_native_inst|tx_clkout|ch0]
set CORECLK         [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|tx_clkout|ch0]    
set CORECLK_PTP     [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|tx_clkout|ch0]
set CORECLK_PTP3    [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|tx_transfer_clk|ch3]




    set RX_CLK0         [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|rx_transfer_clk|ch0]
    set RX_CLK1         [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|rx_transfer_clk|ch1]
    set RX_CLK2         [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|rx_transfer_clk|ch2]
    set RX_CLK3         [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|rx_transfer_clk|ch3]

    set TX_CLK0         [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|tx_transfer_clk|ch0]
    set TX_CLK1         [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|tx_transfer_clk|ch1]
    set TX_CLK2         [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|tx_transfer_clk|ch2]
    set TX_CLK3         [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|tx_transfer_clk|ch3]

    set RX_CLK0_PTP     [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|rx_transfer_clk|ch0]
    set RX_CLK1_PTP     [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|rx_transfer_clk|ch1]
    set RX_CLK2_PTP     [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|rx_transfer_clk|ch2]
    set RX_CLK3_PTP     [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|rx_transfer_clk|ch3]

    set TX_CLK0_PTP     [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|tx_transfer_clk|ch0]
    set TX_CLK1_PTP     [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|tx_transfer_clk|ch1]
    set TX_CLK2_PTP     [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|tx_transfer_clk|ch2]
    set TX_CLK3_PTP     [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp*|tx_transfer_clk|ch3]

#set RX_CLK0_PTP     [get_clocks av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_NO_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp|tx_transfer_clk|ch0]
#av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_NO_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp|rx_transfer_clk|ch0
#av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_NO_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp|tx_transfer_clk|ch1
#av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_NO_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp|rx_transfer_clk|ch1
#av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_NO_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp|tx_transfer_clk|ch2
#av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_NO_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp|rx_transfer_clk|ch2
#av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_NO_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp|tx_transfer_clk|ch3
#av_top|alt_ehipc3_fm_0|alt_ehipc3_fm_hard_inst|E100GX4_NO_FEC.altera_xcvr_native_inst|xcvr_native_s10_etile_0_example_design_4ln_ptp|rx_transfer_clk|ch3




set OSC_CLK         [get_clocks ALTERA_INSERTED_INTOSC_FOR_TRS|divided_osc_clk]
#set CLK100          [get_clocks u0|altera_iopll_0_outclk0]
set IOPLL_REF       [get_clocks u0|altera_iopll_0_refclk]


if {! [is_post_route]} {
   # fitter; 15% at 402.83 MHz
   set_clock_uncertainty -setup -add -from $CORECLK 0.372
   set_clock_uncertainty -setup -add -from $CORECLK_PTP 0.372
} else {
   # everywhere else
}
set_clock_groups -exclusive -group  $CORECLK       -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $CORECLK_PTP   -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $CORECLK_PTP3  -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF

set_clock_groups -exclusive -group  $RX_CLK0 -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $RX_CLK1 -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $TX_CLK0 -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $TX_CLK1 -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF 

set_clock_groups -exclusive -group  $RX_CLK2 -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $RX_CLK3 -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $TX_CLK2 -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $TX_CLK3 -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF

set_clock_groups -exclusive -group  $RX_CLK0_PTP -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $RX_CLK1_PTP -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $TX_CLK0_PTP -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $TX_CLK1_PTP -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF 

set_clock_groups -exclusive -group  $RX_CLK2_PTP -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $RX_CLK3_PTP -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $TX_CLK2_PTP -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF
set_clock_groups -exclusive -group  $TX_CLK3_PTP -group $OSC_CLK  -group $REF_CLK -group $CLK100 -group $IOPLL_REF





#Ic2
# set SCL     [get_keepers {I2C_18V_SCL}]
# set SDA     [get_keepers {I2C_18V_SDA}]

# set_false_path -from $SCL
# set_false_path -to   $SCL
# set_false_path -from $SDA
# set_false_path -to   $SDA

set LPMODE  [get_keepers {qsfp_lowpwr*}]
set RESETL  [get_keepers {qsfp_rstn*}]

set_false_path -to   $LPMODE
set_false_path -to   $RESETL


# From Timequest cookbook
set_clock_groups -exclusive -group [get_clocks altera_reserved_tck]

# From "AV SoC Golden Hardware Reference Design"
set_input_delay -clock altera_reserved_tck -clock_fall 3 [get_ports altera_reserved_tdi]
set_input_delay -clock altera_reserved_tck -clock_fall 3 [get_ports altera_reserved_tms]
# set_input_delay -clock altera_reserved_tck -clock_fall 3 [get_ports altera_reserved_ntrst]
set_output_delay -clock altera_reserved_tck 3 [get_ports altera_reserved_tdo]

# for unconstrained input and output paths
set_false_path -from [get_keepers {cpu_resetn}]
set_false_path -to   [get_ports {user_led[*]}]
set_false_path -to [get_ports {user_io[*]}]


