// seriallite4_dup.v

// Generated using ACDS version 20.2 50

`timescale 1 ps / 1 ps
module seriallite4_dup (
		output wire         tx_avs_ready,                //                      tx_avs.ready
		input  wire [255:0] tx_avs_data,                 //                            .data
		input  wire [7:0]   tx_avs_channel,              //                            .channel
		input  wire         tx_avs_valid,                //                            .valid
		input  wire         tx_avs_startofpacket,        //                            .startofpacket
		input  wire         tx_avs_endofpacket,          //                            .endofpacket
		input  wire [4:0]   tx_avs_empty,                //                tx_avs_empty.export
		input  wire [3:0]   tx_num_valid_bytes_eob,      //      tx_num_valid_bytes_eob.export
		input  wire         tx_is_usr_cmd,               //               tx_is_usr_cmd.export
		output wire         tx_link_up,                  //                  tx_link_up.export
		input  wire         tx_link_reinit,              //              tx_link_reinit.export
		output wire [4:0]   tx_error,                    //                    tx_error.export
		input  wire         rx_avs_ready,                //                      rx_avs.ready
		output wire [255:0] rx_avs_data,                 //                            .data
		output wire [7:0]   rx_avs_channel,              //                            .channel
		output wire         rx_avs_valid,                //                            .valid
		output wire         rx_avs_startofpacket,        //                            .startofpacket
		output wire         rx_avs_endofpacket,          //                            .endofpacket
		output wire [4:0]   rx_avs_empty,                //                rx_avs_empty.export
		output wire [3:0]   rx_num_valid_bytes_eob,      //      rx_num_valid_bytes_eob.export
		output wire         rx_is_usr_cmd,               //               rx_is_usr_cmd.export
		output wire [10:0]  rx_error,                    //                    rx_error.export
		output wire         rx_link_up,                  //                  rx_link_up.export
		input  wire         rx_link_reinit,              //              rx_link_reinit.export
		output wire [3:0]   tx_serial_data_n,            //            tx_serial_data_n.tx_serial_data_n
		output wire [3:0]   phy_tx_lanes_stable,         //         phy_tx_lanes_stable.phy_tx_lanes_stable
		output wire [3:0]   tx_pll_locked,               //               tx_pll_locked.tx_pll_locked
		output wire [3:0]   phy_ehip_ready,              //              phy_ehip_ready.phy_ehip_ready
		output wire [3:0]   tx_serial_data,              //              tx_serial_data.tx_serial_data
		input  wire         xcvr_ref_clk,                //                xcvr_ref_clk.clk
		input  wire         reconfig_clk,                //                reconfig_clk.clk
		input  wire [3:0]   xcvr_reconfig_read,          //          xcvr_reconfig_read.xcvr_reconfig_read
		input  wire [3:0]   xcvr_reconfig_write,         //         xcvr_reconfig_write.xcvr_reconfig_write
		input  wire [75:0]  xcvr_reconfig_address,       //       xcvr_reconfig_address.xcvr_reconfig_address
		output wire [31:0]  xcvr_reconfig_readdata,      //      xcvr_reconfig_readdata.xcvr_reconfig_readdata
		output wire [3:0]   xcvr_reconfig_waitrequest,   //   xcvr_reconfig_waitrequest.xcvr_reconfig_waitrequest
		input  wire [31:0]  xcvr_reconfig_writedata,     //     xcvr_reconfig_writedata.xcvr_reconfig_writedata
		input  wire         rsfec_reconfig_read,         //         rsfec_reconfig_read.rsfec_reconfig_read
		input  wire         rsfec_reconfig_write,        //        rsfec_reconfig_write.rsfec_reconfig_write
		input  wire [10:0]  rsfec_reconfig_address,      //      rsfec_reconfig_address.rsfec_reconfig_address
		output wire [7:0]   rsfec_reconfig_readdata,     //     rsfec_reconfig_readdata.rsfec_reconfig_readdata
		output wire [0:0]   rsfec_reconfig_waitrequest,  //  rsfec_reconfig_waitrequest.rsfec_reconfig_waitrequest
		input  wire [7:0]   rsfec_reconfig_writedata,    //    rsfec_reconfig_writedata.rsfec_reconfig_writedata
		input  wire [0:0]   phy_reconfig_read,           //           phy_reconfig_read.phy_reconfig_read
		input  wire [0:0]   phy_reconfig_write,          //          phy_reconfig_write.phy_reconfig_write
		input  wire [20:0]  phy_reconfig_address,        //        phy_reconfig_address.phy_reconfig_address
		output wire [31:0]  phy_reconfig_readdata,       //       phy_reconfig_readdata.phy_reconfig_readdata
		output wire [0:0]   phy_reconfig_waitrequest,    //    phy_reconfig_waitrequest.phy_reconfig_waitrequest
		input  wire [31:0]  phy_reconfig_writedata,      //      phy_reconfig_writedata.phy_reconfig_writedata
		output wire [0:0]   phy_reconfig_readdata_valid, // phy_reconfig_readdata_valid.phy_reconfig_readdata_valid
		input  wire [3:0]   rx_serial_data_n,            //            rx_serial_data_n.rx_serial_data_n
		input  wire [3:0]   rx_serial_data,              //              rx_serial_data.rx_serial_data
		output wire [3:0]   rx_cdr_lock,                 //                 rx_cdr_lock.rx_cdr_lock
		output wire [3:0]   phy_rx_block_lock,           //           phy_rx_block_lock.phy_rx_block_lock
		output wire [3:0]   phy_rx_pcs_ready,            //            phy_rx_pcs_ready.phy_rx_pcs_ready
		output wire [3:0]   phy_rx_hi_ber,               //               phy_rx_hi_ber.phy_rx_hi_ber
		input  wire         reconfig_reset0,             //             reconfig_reset0.i_reconfig_reset,           XCVR reconfig reset
		input  wire         tx_pcs_fec_phy_reset_n,      //      tx_pcs_fec_phy_reset_n.i_tx_rst_n
		input  wire         rx_pcs_fec_phy_reset_n,      //      rx_pcs_fec_phy_reset_n.i_rx_rst_n
		output wire         rx_core_clkout,              //              rx_core_clkout.clk
		input  wire         rx_core_rst_n,               //               rx_core_rst_n.reset
		output wire         tx_core_clkout,              //              tx_core_clkout.clk
		input  wire         tx_core_rst_n                //               tx_core_rst_n.reset
	);

	seriallite4_dup_seriallite4_120_wflx4pa #(
		.DIRECTION              ("Duplex"),
		.NRZ_EN                 (0),
		.PCS_MOD                ("PAM4"),
		.AUTO_ALIGN             (0),
		.RSFEC_ENABLE           (1),
		.GUI_RSFEC_ENABLE       (0),
		.GUI_PAM_RSFEC_ENABLE   (1),
		.SRL4_ALIGN_PERIOD      (128),
		.SRL4_ALIGN_PERIOD_LOG2 (8),
		.ALIGN_MARKER_PERIOD    (81920),
		.ALIGN_MARKER_WIDTH     (5),
		.ALL_MRKS_WTHN_CYCLES   (32),
		.LANES                  (4),
		.STREAM                 ("FULL"),
		.DEVICE_FAMILY          ("Agilex"),
		.ENABLE_CRC             (0),
		.RECONFIG               (11),
		.FIRST_INST             (4),
		.SECOND_INST            (4),
		.THIRD_INST             (4),
		.FOURTH_INST            (4),
		.PHY_INST               (1)
	) seriallite4_dup (
		.tx_avs_ready                (tx_avs_ready),                //  output,    width = 1,                      tx_avs.ready
		.tx_avs_data                 (tx_avs_data),                 //   input,  width = 256,                            .data
		.tx_avs_channel              (tx_avs_channel),              //   input,    width = 8,                            .channel
		.tx_avs_valid                (tx_avs_valid),                //   input,    width = 1,                            .valid
		.tx_avs_startofpacket        (tx_avs_startofpacket),        //   input,    width = 1,                            .startofpacket
		.tx_avs_endofpacket          (tx_avs_endofpacket),          //   input,    width = 1,                            .endofpacket
		.tx_avs_empty                (tx_avs_empty),                //   input,    width = 5,                tx_avs_empty.export
		.tx_num_valid_bytes_eob      (tx_num_valid_bytes_eob),      //   input,    width = 4,      tx_num_valid_bytes_eob.export
		.tx_is_usr_cmd               (tx_is_usr_cmd),               //   input,    width = 1,               tx_is_usr_cmd.export
		.tx_link_up                  (tx_link_up),                  //  output,    width = 1,                  tx_link_up.export
		.tx_link_reinit              (tx_link_reinit),              //   input,    width = 1,              tx_link_reinit.export
		.tx_error                    (tx_error),                    //  output,    width = 5,                    tx_error.export
		.rx_avs_ready                (rx_avs_ready),                //   input,    width = 1,                      rx_avs.ready
		.rx_avs_data                 (rx_avs_data),                 //  output,  width = 256,                            .data
		.rx_avs_channel              (rx_avs_channel),              //  output,    width = 8,                            .channel
		.rx_avs_valid                (rx_avs_valid),                //  output,    width = 1,                            .valid
		.rx_avs_startofpacket        (rx_avs_startofpacket),        //  output,    width = 1,                            .startofpacket
		.rx_avs_endofpacket          (rx_avs_endofpacket),          //  output,    width = 1,                            .endofpacket
		.rx_avs_empty                (rx_avs_empty),                //  output,    width = 5,                rx_avs_empty.export
		.rx_num_valid_bytes_eob      (rx_num_valid_bytes_eob),      //  output,    width = 4,      rx_num_valid_bytes_eob.export
		.rx_is_usr_cmd               (rx_is_usr_cmd),               //  output,    width = 1,               rx_is_usr_cmd.export
		.rx_error                    (rx_error),                    //  output,   width = 11,                    rx_error.export
		.rx_link_up                  (rx_link_up),                  //  output,    width = 1,                  rx_link_up.export
		.rx_link_reinit              (rx_link_reinit),              //   input,    width = 1,              rx_link_reinit.export
		.tx_serial_data_n            (tx_serial_data_n),            //  output,    width = 4,            tx_serial_data_n.tx_serial_data_n
		.phy_tx_lanes_stable         (phy_tx_lanes_stable),         //  output,    width = 4,         phy_tx_lanes_stable.phy_tx_lanes_stable
		.tx_pll_locked               (tx_pll_locked),               //  output,    width = 4,               tx_pll_locked.tx_pll_locked
		.phy_ehip_ready              (phy_ehip_ready),              //  output,    width = 4,              phy_ehip_ready.phy_ehip_ready
		.tx_serial_data              (tx_serial_data),              //  output,    width = 4,              tx_serial_data.tx_serial_data
		.xcvr_ref_clk                (xcvr_ref_clk),                //   input,    width = 1,                xcvr_ref_clk.clk
		.reconfig_clk                (reconfig_clk),                //   input,    width = 1,                reconfig_clk.clk
		.xcvr_reconfig_read          (xcvr_reconfig_read),          //   input,    width = 4,          xcvr_reconfig_read.xcvr_reconfig_read
		.xcvr_reconfig_write         (xcvr_reconfig_write),         //   input,    width = 4,         xcvr_reconfig_write.xcvr_reconfig_write
		.xcvr_reconfig_address       (xcvr_reconfig_address),       //   input,   width = 76,       xcvr_reconfig_address.xcvr_reconfig_address
		.xcvr_reconfig_readdata      (xcvr_reconfig_readdata),      //  output,   width = 32,      xcvr_reconfig_readdata.xcvr_reconfig_readdata
		.xcvr_reconfig_waitrequest   (xcvr_reconfig_waitrequest),   //  output,    width = 4,   xcvr_reconfig_waitrequest.xcvr_reconfig_waitrequest
		.xcvr_reconfig_writedata     (xcvr_reconfig_writedata),     //   input,   width = 32,     xcvr_reconfig_writedata.xcvr_reconfig_writedata
		.rsfec_reconfig_read         (rsfec_reconfig_read),         //   input,    width = 1,         rsfec_reconfig_read.rsfec_reconfig_read
		.rsfec_reconfig_write        (rsfec_reconfig_write),        //   input,    width = 1,        rsfec_reconfig_write.rsfec_reconfig_write
		.rsfec_reconfig_address      (rsfec_reconfig_address),      //   input,   width = 11,      rsfec_reconfig_address.rsfec_reconfig_address
		.rsfec_reconfig_readdata     (rsfec_reconfig_readdata),     //  output,    width = 8,     rsfec_reconfig_readdata.rsfec_reconfig_readdata
		.rsfec_reconfig_waitrequest  (rsfec_reconfig_waitrequest),  //  output,    width = 1,  rsfec_reconfig_waitrequest.rsfec_reconfig_waitrequest
		.rsfec_reconfig_writedata    (rsfec_reconfig_writedata),    //   input,    width = 8,    rsfec_reconfig_writedata.rsfec_reconfig_writedata
		.phy_reconfig_read           (phy_reconfig_read),           //   input,    width = 1,           phy_reconfig_read.phy_reconfig_read
		.phy_reconfig_write          (phy_reconfig_write),          //   input,    width = 1,          phy_reconfig_write.phy_reconfig_write
		.phy_reconfig_address        (phy_reconfig_address),        //   input,   width = 21,        phy_reconfig_address.phy_reconfig_address
		.phy_reconfig_readdata       (phy_reconfig_readdata),       //  output,   width = 32,       phy_reconfig_readdata.phy_reconfig_readdata
		.phy_reconfig_waitrequest    (phy_reconfig_waitrequest),    //  output,    width = 1,    phy_reconfig_waitrequest.phy_reconfig_waitrequest
		.phy_reconfig_writedata      (phy_reconfig_writedata),      //   input,   width = 32,      phy_reconfig_writedata.phy_reconfig_writedata
		.phy_reconfig_readdata_valid (phy_reconfig_readdata_valid), //  output,    width = 1, phy_reconfig_readdata_valid.phy_reconfig_readdata_valid
		.rx_serial_data_n            (rx_serial_data_n),            //   input,    width = 4,            rx_serial_data_n.rx_serial_data_n
		.rx_serial_data              (rx_serial_data),              //   input,    width = 4,              rx_serial_data.rx_serial_data
		.rx_cdr_lock                 (rx_cdr_lock),                 //  output,    width = 4,                 rx_cdr_lock.rx_cdr_lock
		.phy_rx_block_lock           (phy_rx_block_lock),           //  output,    width = 4,           phy_rx_block_lock.phy_rx_block_lock
		.phy_rx_pcs_ready            (phy_rx_pcs_ready),            //  output,    width = 4,            phy_rx_pcs_ready.phy_rx_pcs_ready
		.phy_rx_hi_ber               (phy_rx_hi_ber),               //  output,    width = 4,               phy_rx_hi_ber.phy_rx_hi_ber
		.reconfig_reset0             (reconfig_reset0),             //   input,    width = 1,             reconfig_reset0.i_reconfig_reset
		.tx_pcs_fec_phy_reset_n      (tx_pcs_fec_phy_reset_n),      //   input,    width = 1,      tx_pcs_fec_phy_reset_n.i_tx_rst_n
		.rx_pcs_fec_phy_reset_n      (rx_pcs_fec_phy_reset_n),      //   input,    width = 1,      rx_pcs_fec_phy_reset_n.i_rx_rst_n
		.rx_core_clkout              (rx_core_clkout),              //  output,    width = 1,              rx_core_clkout.clk
		.rx_core_rst_n               (rx_core_rst_n),               //   input,    width = 1,               rx_core_rst_n.reset
		.tx_core_clkout              (tx_core_clkout),              //  output,    width = 1,              tx_core_clkout.clk
		.tx_core_rst_n               (tx_core_rst_n)                //   input,    width = 1,               tx_core_rst_n.reset
	);

endmodule
